<?php
namespace app\api\exception;
use think\Exception;

class BaseException extends Exception
{
    public $code = 400;
    public $message = '服务器异常';
    public $errorCode = 99999;

    //接收自定义错误信息
    public function __construct($params=[])
    {
        if(!is_array($params)){
            return;
        }
        if(array_key_exists('code',$params)){
            $this->code = $params['code'];
        }
        if(array_key_exists('msg',$params)){
            $this->msg = $params['msg'];
        }
        if(array_key_exists('errorCode',$params)){
            $this->errorCode = $params['errorCode'];
        }
    }
}